### Method

# GLib BookmarkFile set_added

deprecated: 2.66 since: 2.12

#### Declaration [src]

    void
    g_bookmark_file_set_added (
      GBookmarkFile* bookmark,
      const gchar* uri,
      time_t added
    )

#### Description [src]

Sets the time the bookmark for `uri` was added into `bookmark`.

If no bookmark for `uri` is found then it is created.

Available since: 2.12

Deprecated since: 2.66

Use `g_bookmark_file_set_added_date_time()` instead, as `time_t` is deprecated due to the year 2038 problem.

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`added`

  Type: `time_t`

  A timestamp or -1 to use the current time.